Transactional error while deleting groups
Status: Cerrada Start date: 03/20/2018

Priority: Normal Due date:  

Assignee: Jesús Freire % Done: 100%

Category:  Estimated time: 4:00 hours

Target version:  Spent time: 6:00 hours

Puntos de historia: 4   

Description

An internal server error ocurred when trying to delete a group:

A JTA EntityManager cannot use getTransaction(); nested exception is java.lang.IllegalStateExcepti

on: A JTA EntityManager cannot use getTransaction()

Make a test to delete a group throw ObdGroupService.

Make a test to create a group, so ObdVinGroupService will also called.

Make use of the @Transactional and @EnableTransactionManagement annotations into ObdGroupService.deleteGroup and

Application, respectively.

Try to modify GeronimoTransactionManagerFactory and JTA EntityManager by JPA.

History

#1 - 03/21/2018 09:28 AM - Jesús Freire

- Status changed from Nueva to Resuelta

- % Done changed from 20 to 90

Applied in changeset obd-server|r190.

#2 - 03/21/2018 09:29 AM - Jesús Freire

- Status changed from Resuelta to Cerrada

- % Done changed from 90 to 100
